### Method

# GSSDP ResourceGroup add_resource

#### Declaration [src]

    guint
    gssdp_resource_group_add_resource (
      GSSDPResourceGroup* resource_group,
      const char* target,
      const char* usn,
      GList* locations
    )

#### Description [src]

Add an additional resource to announce in this resource group.

Adds a resource with target `target`, USN `usn`, and locations `locations` to `resource_group`. If the resource group is set `GSSDPResourceGroup:available`, it will be announced right away.

If your resource only has one location, you can use `gssdp_resource_group_add_resource_simple()` instead.

The resource id that is returned by this function can be used with `gssdp_resource_group_remove_resource()`.

#### Parameters

`target`

  Type: `const char*`

  The resource’s target.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`usn`

  Type: `const char*`

  The resource’s USN.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`locations`

  Type: A list of `utf8`

  A `GList` of the resource’s locations.

  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `guint`

The ID of the added resource.